"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const main_1 = require("../src/main");
const chai_1 = require("chai");
const fs_1 = __importDefault(require("fs"));
describe("Checking VersionUtil", () => {
    it("Should parse dates", function () {
        const packageFileString = fs_1.default.readFileSync("test/packageFiles/congressional-legislators.datapm.json");
        const packageFile = main_1.parsePackageFileJSON(packageFileString.toString());
        chai_1.expect(packageFile.updatedDate.getTime()).equals(1601560469442);
    });
    it("Should load readme and license files", function () {
        const packageFile = main_1.loadPackageFileFromDisk("test/packageFiles/congressional-legislators.datapm.json");
        chai_1.expect(packageFile.updatedDate.getTime()).equals(1601560469442);
        chai_1.expect(packageFile.readmeMarkdown).contains("This is where a readme might go.");
        chai_1.expect(packageFile.licenseMarkdown).contains("This is not a real license. Just a test.");
    });
});
//# sourceMappingURL=PackageFileParse.spec.js.map